uniform sampler2D u_s2Texture;
uniform vec2 u_v2Screen;


void main(void)
{
	// create start-color and screenspace-coordinates
	vec4 v4Color    = vec4(0.0f,0.0f,0.0f,0.0f);
	vec2 v2TexCoord = gl_FragCoord.xy/vec2(u_v2Screen.x, u_v2Screen.y);

	// calculate X-spreading
	for(int i = -5; i <= 5; i++)
	{
		v4Color += max(texture2D(u_s2Texture, v2TexCoord + vec2(0.0f, i/u_v2Screen.y*3)), 0.0f);
	}

	// set final color-value
	gl_FragColor   = v4Color*0.6f / 11;
	gl_FragColor.a = 1.0f;
}